Bug 815124 - CVE-2012-2128 CVE-2012-2129 dokuwiki: XSS and CSRF due improper escaping of 'target' parameter in preprocessing edit form data [epel-all]
Summary: CVE-2012-2128 CVE-2012-2129 dokuwiki: XSS and CSRF due improper escaping of '...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dokuwiki   
(Show other bugs)
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2128, CVE-2012-2129
TreeView+ depends on / blocked
 
Reported: 2012-04-22 17:27 UTC by Jan Lieskovsky
Modified: 2012-05-11 22:04 UTC (History)
1 user (show)

Fixed In Version: dokuwiki-0-0.9.20110525.a.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 22:03:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-04-22 17:27:02 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=815122

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-04-24 06:36:14 UTC
dokuwiki-0-0.11.20110525.a.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.11.20110525.a.el5

Comment 2 Fedora Update System 2012-04-24 06:37:14 UTC
dokuwiki-0-0.9.20110525.a.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.9.20110525.a.el6

Comment 3 Fedora Update System 2012-04-27 06:08:57 UTC
Package dokuwiki-0-0.11.20110525.a.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dokuwiki-0-0.11.20110525.a.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5661/dokuwiki-0-0.11.20110525.a.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-05-11 22:03:43 UTC
dokuwiki-0-0.11.20110525.a.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-05-11 22:04:24 UTC
dokuwiki-0-0.9.20110525.a.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.